Offers
Get Offer Details
Get detailed information about a specific offer
GET
/{locale}/shop/offers/{id}Get detailed information about a specific offer
Authorization
apiKey apiSecret X-API-Key<token>
Partner API key from the Partners Portal. Always sent together with X-API-Secret.
In: header
X-API-Secret<token>
Partner API secret. Always sent together with X-API-Key.
In: header
Path Parameters
locale*string
Locale code
id*integer
Offer ID
Response Body
application/json
application/json
curl -X GET "https://example.com/en/shop/offers/1"{ "success": true, "data": { "id": 1, "title": "20% off all items", "description": "Get 20% discount on all items in store", "terms_and_conditions": "Valid for in-store purchases only", "discount_type": "percentage", "discount_value": 20, "minimum_points": 100, "maximum_uses": 1000, "used_count": 350, "user_claimed_count": 2, "category": "retail", "image_url": "https://example.com/offer.jpg", "is_active": true, "starts_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "partner": {}, "user_can_claim": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "code": 200}